Bug 859894 - Review Request: perl-Test-Dist-VersionSync - Verify that all the modules in a distribution have the same version number
Review Request: perl-Test-Dist-VersionSync - Verify that all the modules in a...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 06:44 EDT by Emmanuel Seyman
Modified: 2012-10-04 17:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-04 17:16:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
robinlee.sysu: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2012-09-24 06:44:16 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Test-Dist-VersionSync/perl-Test-Dist-VersionSync.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Test-Dist-VersionSync/perl-Test-Dist-VersionSync-1.1.0-1.fc17.src.rpm
Description:
The Test-Dist-VersionSync gives perl developers an easy way to verify that all
the modules in a distribution have the same version number.

Fedora Account System Username: eseyman
Comment 1 Robin Lee 2012-09-30 04:48:49 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[-]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[-]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

Perl:
[x]: Package contains the mandatory BuildRequires and Reguires:.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[-]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (Test-Dist-VersionSync-1.1.0.tar.gz)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Test-Dist-VersionSync-1.1.0-1.fc16.src.rpm
          perl-Test-Dist-VersionSync-1.1.0-1.fc16.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Test-Dist-VersionSync
perl-Test-Dist-VersionSync.noarch: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Test-Dist-VersionSync-1.1.0-1.fc16.noarch.rpm (rpmlib, GLIBC filtered):
    
    perl(:MODULE_COMPAT_5.14.2)  
    perl(Data::Dumper)  
    perl(Test::More)  
    perl(strict)  
    perl(warnings)  



Provides
--------
perl-Test-Dist-VersionSync-1.1.0-1.fc16.noarch.rpm:
    
    perl(Test::Dist::VersionSync) = 1.1.0
    perl-Test-Dist-VersionSync = 1.1.0-1.fc16



SHA256-sum check
-------------
http://www.cpan.org/authors/id/A/AU/AUBERTG/Test-Dist-VersionSync-1.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 6dc3afbe8959635daa683303d5b53236607d78042f7b5965c3c84f1c19e23038
  CHECKSUM(SHA256) upstream package : 6dc3afbe8959635daa683303d5b53236607d78042f7b5965c3c84f1c19e23038


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-16-x86_64
Command line :/usr/bin/fedora-review -b 859894



Approved by cheeselee
Comment 2 Emmanuel Seyman 2012-09-30 05:46:03 EDT
New Package SCM Request
=======================
Package Name: perl-Test-Dist-VersionSync
Short Description: Verify that all the modules in a distribution have the same version number
Owners: eseyman
Branches: f17 f18
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2012-09-30 09:06:33 EDT
Git done (by process-git-requests).
Comment 4 Emmanuel Seyman 2012-10-04 17:16:44 EDT
The module has been built on all branches and has been merged in Rawhide.

Robin, thank you for the review. Jon, thank you for the git repo.

Note You need to log in before you can comment on or make changes to this bug.